﻿@using Jumbula.Web.WebLogic.UserService
@model NavBarViewModel

<div>
    <div id="editorBody">
        <header id="mainHeader" class="view-main-header">
            <nav class="navbar navbar-default">
                <div class="container-fluid" style="background-color: #fff;">

                    <div class="row">

                        <div class="navbar-header">
                            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#mainNavbarCollapse">
                                <span class="sr-only">Toggle navigation</span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                            </button>
                            @if (Model.ShowParentLogo)
                            {
                                <a class="navbar-brand" style="width: initial;" href="@Model.PartnerLogoRedirectUrl">
                                    <img id="clubLogo" alt="@Model.HeaderTitle" title="@Model.HeaderTitle" src="@Model.PartnerLogoUrl" />
                                </a>
                            }
                            <a class="navbar-brand" href="@Model.LogoRedirecturl">
                                @if (Model.ShowLogo && !string.IsNullOrEmpty(Model.LogoUrl))
                                {
                                    <img id="clubLogo" alt="@Model.HeaderTitle" title="@Model.HeaderTitle" src="@Model.LogoUrl" />
                                }
                                <span id="clubName" ng-bind="@Model.HeaderTitle">@Model.HeaderTitle</span>
                            </a>
                        </div>

                        <div class="collapse navbar-collapse side-pad-null" id="mainNavbarCollapse">

                            <div class="navbar-right account-menu">

                                @if (this.IsUserAuthenticated())
                                {
                                    <div class="tab-text">
                                        <ul>

                                            @switch (this.GetCurrentUserRoleType())
                                            {
                                                case RoleCategoryType.System:
                                                    {
                                                        @Html.Partial("Navbar/_JbSupport")
                                                    }
                                                    break;
                                                case RoleCategoryType.Dashboard:
                                                    {
                                                        @Html.Partial("Navbar/_JbAdminNavbar", Model)
                                                    }
                                                    break;
                                                case RoleCategoryType.Parent:
                                                    {
                                                        @Html.Partial("Navbar/_JbParentNavbar", Model)
                                                    }
                                                    break;
                                                default:
                                                    break;
                                            }

                                        </ul>
                                    </div>
                                }
                                else
                                {
                                    @Html.Partial("Navbar/_JbNotAuthenticatedNavbar")
                                }

                            </div>
                        </div>
                    </div>
                </div>
            </nav>
        </header>
    </div>
</div>

<script>
    //li.active .shop-cart .shop-number
    $(function () {
        var k = $('li.active').find(".shop-number");
        if (k.length > 0) {
            $(k).css({ "background-color": "#e7830d", "color": "#fff" });
        }
    });

    @if (Model.GoogleAnalytics != null && Model.GoogleAnalytics.Enabled)
    {
        <text>

            (function (i, s, o, g, r, a, m) {
                i['GoogleAnalyticsObject'] = r; i[r] = i[r] || function () {
                    (i[r].q = i[r].q || []).push(arguments)
                }, i[r].l = 1 * new Date(); a = s.createElement(o),
                    m = s.getElementsByTagName(o)[0]; a.async = 1; a.src = g; m.parentNode.insertBefore(a, m)
            })(window, document, 'script', '//www.google-analytics.com/analytics.js', 'ga');
            ga('create', '@Model.GoogleAnalytics.TrackingId', 'auto', 'clientTracker');
            ga('clientTracker.send', 'pageview');
        </text>
    }


</script>

